Commit ef6834f6 authored by Ondřej Nový's avatar Ondřej Nový

Drop Python 2 support (Closes: #938079).

parent d78662e6
......@@ -5,6 +5,7 @@ python-pyngus (2.2.2-4) UNRELEASED; urgency=medium
* Use pybuild to build package.
* Bump debhelper compat level to 12.
* Enable autopkgtest-pkg-python testsuite.
* Drop Python 2 support (Closes: #938079).
-- Ondřej Nový <onovy@debian.org> Fri, 03 Aug 2018 06:06:10 +0200
......
......@@ -8,12 +8,9 @@ Build-Depends:
debhelper-compat (= 12),
dh-python,
openstack-pkg-tools,
python-all,
python-setuptools,
python3-all,
python3-setuptools,
Build-Depends-Indep:
python-qpid-proton,
python3-qpid-proton,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pyngus
......@@ -21,18 +18,6 @@ Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pyngus.git
Homepage: https://github.com/kgiusti/pyngus
Testsuite: autopkgtest-pkg-python
Package: python-pyngus
Architecture: all
Depends:
python-qpid-proton,
${misc:Depends},
${python:Depends},
Description: callback API implemented over Proton - Python 2.7
Pyngus is a messaging framework built on the QPID Proton engine. It provides
a callback-based API for message passing.
.
This package contains the Python 2.7 module.
Package: python3-pyngus
Architecture: all
Depends:
......
......@@ -6,7 +6,7 @@ include /usr/share/openstack-pkg-tools/pkgos.make
export PYBUILD_NAME=pyngus
%:
dh $@ --buildsystem=pybuild --with python2,python3
dh $@ --buildsystem=pybuild --with python3
override_dh_auto_test:
PYBUILD_SYSTEM=custom \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment